# -*- coding: utf-8 -*-

from django.contrib import admin
from django.utils.translation import ugettext as _

from .models import Office


class OfficeAdmin(admin.ModelAdmin):
    fieldsets = (
        (_('general information'), {
            'fields': (('code', 'name'), 'description', 'phone', 'fax', 'email',)
        }),
        (_('visualization admin'), {
            'fields': ('ordering', 'status',),
        }),
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
        }),
    )
    list_display = ('get_status_display', 'code', 'name', 'phone', 'fax', 'email', 'ordering',)
    readonly_fields = ('creator', 'date_create', 'last_modifier', 'date_last_modify',)


admin.site.register(Office, OfficeAdmin)
