# -*- coding: utf-8 -*-

from rest_framework import generics

from thux.api.views import QuerysetMixin
from thux.api.permissions import ThuxModelPermissions

from .. import models
from . import serializers


class OfficeList(QuerysetMixin, generics.ListAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Office.objects.all()
    serializer_class = serializers.OfficeSerializer


class OfficeRetrieve(generics.RetrieveAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Office.objects.all()
    serializer_class = serializers.OfficeSerializer


class OfficeCreate(generics.CreateAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Office.objects.all()
    serializer_class = serializers.OfficeSerializerCreate


class OfficeUpdate(generics.UpdateAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Office.objects.all()
    serializer_class = serializers.OfficeSerializerUpdate
