# -*- coding: utf-8 -*-

import datetime

from django.db import connections
from django.db.models import Sum
from django.utils.translation import ugettext_lazy as _

import admin_tools
from admin_tools.dashboard import modules, register, AppIndexDashboard

from jmb.core.admin import dashboard as jmb_dashboard

from thux.office.models import Office


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("office"),
            'display': "tabs",
            'children': [
                Models(),
            ]
        })
        super(DefaultDashboard, self).__init__(**kwargs)


class OfficeDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("office"),
            'display': "tabs",
            'children': [
                Models(),
            ]
        })
        super(OfficeDashboard, self).__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("main models"),
            'models': ('thux.office.models.*',),
        })
        super(Models, self).__init__(**kwargs)


class DefaultAppDashboard(AppIndexDashboard):
    def __init__(self, app_title, models, **kwargs):
        AppIndexDashboard.__init__(self, app_title, models, **kwargs)
        self.columns = 3

    def init_with_context(self, context):
        self.children.append(
            DefaultDashboard(),
        )


# Used in /admin
jmb_dashboard.register_group(OfficeDashboard, 'thux.office')
# Used in /admin/Office
admin_tools.dashboard.register(DefaultAppDashboard, 'thux.office')
