# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Office',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=50, verbose_name='office')),
                ('description', models.TextField(max_length=255, verbose_name='description', blank=True)),
                ('phone', models.CharField(max_length=20, verbose_name='phone')),
                ('fax', models.CharField(max_length=20, verbose_name='fax')),
                ('email', models.EmailField(max_length=100, null=True, verbose_name='email', blank=True)),
                ('creator', models.ForeignKey(related_name='office_office_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='office_office_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'office',
                'verbose_name_plural': 'offices',
            },
        ),
    ]
